package com.ruoyi.buyerapi.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备工时分摊月报对象 buyer_device_workhour_month
 *
 * @author ruoyi
 * @date 2022-09-22
 */
public class BuyerDeviceWorkhourMonth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 立项管理id */
    @Excel(name = "立项管理id")
    private String projectId;

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    /** 公司id */
    @Excel(name = "公司id")
    private String companyId;

    /** 设备(台) */
    @Excel(name = "设备(台)")
    private Long deviceNum;

    /** 年度 */
    @Excel(name = "年度")
    private Long year;

    /** 月度 */
    @Excel(name = "月度")
    private Long month;

    /** 工时累积 */
    @Excel(name = "工时累积")
    private BigDecimal totalWork;

    /** 折旧金额(元) */
    @Excel(name = "折旧金额(元)")
    private BigDecimal totalCost;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setDeviceNum(Long deviceNum)
    {
        this.deviceNum = deviceNum;
    }

    public Long getDeviceNum()
    {
        return deviceNum;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }
    public void setTotalWork(BigDecimal totalWork)
    {
        this.totalWork = totalWork;
    }

    public BigDecimal getTotalWork()
    {
        return totalWork;
    }
    public void setTotalCost(BigDecimal totalCost)
    {
        this.totalCost = totalCost;
    }

    public BigDecimal getTotalCost()
    {
        return totalCost;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("projectId", getProjectId())
            .append("deviceNum", getDeviceNum())
            .append("year", getYear())
            .append("month", getMonth())
            .append("totalWork", getTotalWork())
            .append("totalCost", getTotalCost())
            .toString();
    }
}
